Ler objetos tipados
curl --request POST \
--url https://{space}.{region}.api.niadra.com/v1/state/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refs": [
{
"id": "<string>",
"namespace": "<string>",
"type": "<string>",
"variant": "<string>"
}
],
"fields": [
"<string>"
],
"purpose": "display",
"readings": [
"<string>"
],
"subject": {
"value": "<string>",
"scope": "<string>"
}
}
'import requests
url = "https://{space}.{region}.api.niadra.com/v1/state/read"
payload = {
"refs": [
{
"id": "<string>",
"namespace": "<string>",
"type": "<string>",
"variant": "<string>"
}
],
"fields": ["<string>"],
"purpose": "display",
"readings": ["<string>"],
"subject": {
"value": "<string>",
"scope": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refs: [{id: '<string>', namespace: '<string>', type: '<string>', variant: '<string>'}],
fields: ['<string>'],
purpose: 'display',
readings: ['<string>'],
subject: {value: '<string>', scope: '<string>'}
})
};
fetch('https://{space}.{region}.api.niadra.com/v1/state/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objects": [
{
"ref": {
"id": "<string>",
"namespace": "<string>",
"type": "<string>",
"variant": "<string>"
},
"as_of": "2023-11-07T05:31:56Z",
"axes": {},
"blocked": {},
"declared_gaps": [
"<string>"
],
"derived_status": "current",
"expired_by": [
"<string>"
],
"fields": {},
"latches": {},
"outcome": {
"final": true,
"state": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"prohibitions": [
"<string>"
],
"readings": {},
"refetch": {
"admitted": true,
"priority": "high",
"reason": "<string>"
},
"refusal": {
"reason": "<string>",
"action": "<string>"
},
"state": "<string>",
"timers": [
{
"name": "<string>",
"state": "armed",
"due_at": "2023-11-07T05:31:56Z",
"fired_at": "2023-11-07T05:31:56Z",
"supersedes_firing_id": "<string>"
}
],
"type_version": "<string>",
"values": {},
"withheld": {}
}
],
"degraded": false
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Estado tipado
Ler objetos tipados
Objetos por referência, para a finalidade da leitura (display, claim ou decide): cada valor com o valor lógico, os carimbos, a fonte, o frescor calculado agora e o que não pode ser afirmado com ele.
POST
/
v1
/
state
/
read
Ler objetos tipados
Autorizações
nia_sk_...
Corpo
application/json
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Required string length:
1 - 256Opções disponíveis:
display, claim, decide Required string length:
1 - 256Um identificador de um sujeito num canal ou sistema: um telefone, um e-mail, um id do CRM.
Show child attributes
Show child attributes

